/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLFrameSetElement_H__
#define __GdomHTMLFrameSetElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLFrameSetElement GdomHTMLFrameSetElement;
typedef struct _GdomHTMLFrameSetElementClass GdomHTMLFrameSetElementClass;


#define GDOM_TYPE_HTML_FRAME_SET_ELEMENT            (gdom_html_frame_set_element_get_type())
#define GDOM_HTML_FRAME_SET_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_FRAME_SET_ELEMENT, GdomHTMLFrameSetElement))
#define GDOM_HTML_FRAME_SET_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_FRAME_SET_ELEMENT, GdomHTMLFrameSetElement)Class)
#define GDOM_IS_HTML_FRAME_SET_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_FRAME_SET_ELEMENT))
#define GDOM_IS_HTML_FRAME_SET_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_FRAME_SET_ELEMENT))
#define GDOM_HTML_FRAME_SET_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_FRAME_SET_ELEMENT, GdomHTMLFrameSetElementClass))

typedef struct _GdomHTMLFrameSetElementPrivate GdomHTMLFrameSetElementPrivate;

struct _GdomHTMLFrameSetElement {
    GdomHTMLElement parent_instance;
    GdomHTMLFrameSetElementPrivate *priv;
};

struct _GdomHTMLFrameSetElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_frame_set_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLFrameSetElement_H__ */
